function init(hero) {

    hero.setName("Superboy");

    hero.setVersion("Young Justice");

    hero.setTier(5);

    

    hero.setChestplate("Torso");

    hero.setLeggings("Pants");

    hero.setBoots("Boots");

    

    hero.addAbilities("fiskheroes:leaping", "fiskheroes:cryokinesis", "fiskheroes:superhuman_durability", "fiskheroes:super_speed", "fiskheroes:accelerated_perception", "fiskheroes:enhanced_reflexes", "fiskheroes:fire_immunity");

    hero.addAttribute("ATTACK_DAMAGE", 2.3, 1);

    hero.addAttribute("PUNCH_DAMAGE", 11.0, 0);

    hero.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);

    hero.addAttribute("SWORD_DAMAGE", -0.45, 1);

    hero.addAttribute("SPRINT_SPEED", 0.4, 0);

    hero.addAttribute("JUMP_HEIGHT", 5.0, 0);

    hero.addAttribute("STEP_HEIGHT", 1.5, 0);

    hero.addAttribute("FALL_RESISTANCE", 50.0, 0);



    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);

    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);

    hero.addKeyBind("DECELERATE", "key.decelerate", 3);

    hero.addKeyBind("ACCELERATE", "key.accelerate", 4);

    

    hero.setDefaultScale(1.1);

    hero.setHasProperty(hasProperty);

}



function hasProperty(entity, property) {

    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";

}